### Signal

# Adw AboutWindow::activate-link

#### Declaration

    gboolean
    activate_link (
      AdwAboutWindow* self,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

Emitted when a URL is activated.

Applications may connect to it to override the default behavior, which is to call `gtk_show_uri()`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 1.2

#### Parameters

`uri` | `gchar*`
| The URI to activate.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the link has been activated.